Subject: Re: Recurrence UNTIL/RDATE/EXDATE properties with DATE values

From: [email-masked]
Date: Thu, 2 Nov 2000 11:15:00 -0500

John asked:
>Does anybody remember the motivation for permitting DATE values in the 
first place?

Sure, for all day events like Bastille Day (Hi Franks favorite), New Years 
Day, etc. 

Another use is to block out (in the case of EXDATES) _all_ instances of a repeat set that occur on a particular day.  For example, 
a movie shows ~4-6 times a day but the theatre will be closed on New Years 
Day so they want to exclude ALL instances on that date.

Also, dont forget that we declared (somewhere, honest!) that times are 
inherited from the DTSTART/DTEND (or DURATION) if none are specfied on the 
RDATE, EXDATE (and probably implied on the UNTIL too but Im not sure).

Bruce
===========================================================================
Bruce Kahn                                INet: [email-masked]
Iris Associates                          Phone: 978.392.5335
Westford, MA, USA 01886                    FAX: and nothing but the FAX...
Standard disclaimers apply, even where prohibited by law...

---

From: John Stracke <[email-masked]>
Date: Mon, 06 Nov 2000 10:53:00 -0500

[email-masked] wrote:

> John asked:
> >Does anybody remember the motivation for permitting DATE
> values in the first place?
>
> Sure, for all day events like Bastille Day (Hi Franks
> favorite), New Years Day, etc.

OK, in this case, *all* the values involved will be DATEs; there
will be no DATE-TIMEs at all.

> Another use is to block out (in the case of EXDATES) _all_
> instances of a repeat set that occur on a particular day.  For
> example, a movie shows ~4-6 times a day but the theatre will be
> closed on New Years Day so they want to exclude ALL instances
> on that date.
>
> Also, dont forget that we declared (somewhere, honest!) that
> times are inherited from the DTSTART/DTEND (or DURATION) if
> none are specfied on the RDATE, EXDATE (and probably implied on
> the UNTIL too but Im not sure).

These two statements are inconsistent.  An EXDATE with no time
can't *both* default to the same time as DTSTART *and* be a
wildcard.

In addition, both of them are superfluous.  The wildcard case can
be expressed with multiple EXDATEs with DATE-TIME values; the
default case can be expressed by specifying the EXDATE as a
DATE-TIME.  So permitting DATE values for EXDATE does not add
functionality, and does add ambiguity.

I suggest that we mandate that all the various date[-time] values
in a given recurrence rule be the same type: either they're all
DATEs (for all-day events), or they're all DATE-TIMEs.  Combining
the two is just too confusing.

--
/================================================================\
|John Stracke    | http://www.ecal.com |My opinions are my own.  |
|Chief Scientist |===============================================|
|eCal Corp.      |"All gateways lose information. Some do it more|
[email-masked]|efficiently than others." -- Einar Stefferud   |
\================================================================/